(:
1.03s to filter and count valid elements
10.9s to write file
:)

let $root := doc("/taric/base-20200101T000000-20200116T013000.xml")/*
let $goods_section := $root/IsztarHistoryItem/findGoodsNomenclatureByDatesResponse
let $goods_items := $goods_section/*

let $date_now := xs:dateTime("2020-01-20T12:00:00")

let $goods_valid := $goods_items[
	(: start date in the past :)
	xs:dateTime(validityStartDate/text()) <=$date_now 
	and
	(
		(: no end date, or end date in the future :)
		empty(validityEndDate) 
		or 
		xs:dateTime(validityEndDate/text()) > $date_now
	)
]

return <ValidityStats>
	<numGoodsAll>{count($goods_items)}</numGoodsAll>
	<numGoodsValid>{count($goods_valid)}</numGoodsValid>
</ValidityStats>
